/*
 * @Author: 吴文洁
 * @Date: 2020-08-31 09:34:51
 * @LastEditors: wufan
 * @LastEditTime: 2020-12-17 14:14:43
 * @Description: 
 * @Copyright: 杭州杰竞科技有限公司 版权所有
 */

import Axios from './axios';

class Service {

  static Business(url: string, params: any, option: any) {
    return Axios.post('POST', `business/${url}`, params, option);
  }

  static Apollo(url: string, params: any, option?: any) {
    return Axios.post('POST', `apollo/${url}`, params, option);
  }

  static Hades(url: string, params: any, option?: any) {
    return Axios.post('POST', `hades/${url}`, params, option);
  }

  static Sales(url: string, params: any, option: any) {
    return Axios.post('POST', `sales/${url}`, params, option);
  }

  static postJSON(url: string, params: any, option?: any) {
    return Axios.post('POST', url, params, option);
  }

  static get(url: string, params: any, option?: any) {
    return Axios.post('GET', url, params, option);
  }

  static MFS(url: string, params: any, option: any) {
    return Axios.post('POST', `mfs/${url}`, params, option);
  }
}

export default Service;